diff a/src/jdk.compiler/share/classes/com/sun/tools/javac/util/Names.java b/src/jdk.compiler/share/classes/com/sun/tools/javac/util/Names.java
--- a/src/jdk.compiler/share/classes/com/sun/tools/javac/util/Names.java
+++ b/src/jdk.compiler/share/classes/com/sun/tools/javac/util/Names.java
@@ -225,10 +225,15 @@
     // pattern switches
     public final Name typeSwitch;
     public final Name enumSwitch;
     public final Name enumConstant;
 
+    // code reflection
+    public final Name jdk_incubator_code;
+    public final Name quoted;
+    public final Name quotable;
+
     public final Name.Table table;
 
     @SuppressWarnings("this-escape")
     public Names(Context context) {
         Options options = Options.instance(context);
@@ -408,10 +413,15 @@
 
         // pattern switches
         typeSwitch = fromString("typeSwitch");
         enumSwitch = fromString("enumSwitch");
         enumConstant = fromString("enumConstant");
+
+        // code reflection
+        jdk_incubator_code = fromString("jdk.incubator.code");
+        quoted = fromString("Quoted");
+        quotable = fromString("Quotable");
     }
 
     protected Name.Table createTable(Options options) {
         boolean useUnsharedTable = options.isSet("useUnsharedTable");
         if (useUnsharedTable)
